Bug 14716 - Unknown URL scheme prevents meta-refresh redirects
Summary: Unknown URL scheme prevents meta-refresh redirects
Status: NEW
Alias: None
Product: WebKit
Classification: Unclassified
Component: Page Loading (show other bugs)
Version: 523.x (Safari 3)
Hardware: Macintosh OS X 10.4
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
: 9802 (view as bug list)
Depends on:
Blocks:
 
Reported: 2007-07-22 16:31 PDT by David Kilzer (:ddkilzer)
Modified: 2008-11-01 19:18 PDT (History)
3 users (show)

See Also:


Attachments
Original iExploder test #2027 (embed) (73.73 KB, text/html)
2007-07-22 16:32 PDT, David Kilzer (:ddkilzer)
no flags Details
Reduced test case (embed) (284 bytes, text/html)
2007-07-22 16:50 PDT, David Kilzer (:ddkilzer)
no flags Details
Original iExploder test #7752 (iframe) (98.02 KB, text/html)
2007-07-22 17:54 PDT, David Kilzer (:ddkilzer)
no flags Details
Reduced test case (iframe) (290 bytes, text/html)
2007-07-22 17:54 PDT, David Kilzer (:ddkilzer)
no flags Details
reduced test case (embed) (180 bytes, text/html)
2008-03-12 01:59 PDT, Alexey Proskuryakov
no flags Details
reduced test case (iframe) (186 bytes, text/html)
2008-03-12 01:59 PDT, Alexey Proskuryakov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description David Kilzer (:ddkilzer) 2007-07-22 16:31:35 PDT
* SUMMARY
iExploder test #2027 (after Bug 14713 was applied) causes both a meta-refresh tag and a setTimeout() redirect to fail to access the next test.

* STEPS TO REPRODUCE
1. Launch Safari/WebKit.
2. Open test case.

* EXPECTED RESULTS
The page should redirect to the next iExploder URL (which will result in an error page) within 1 second or so.

* ACTUAL RESULTS
The page loads, but no redirect occurs.

* REGRESSION
This test case redirects using Safari 2.0.4 (419.3) with original WebKit on Mac OS X 10.4.10 (8R218).

The test case fails with a local debug build of WebKit r24513 with Safari 3.0 (522.12) on Mac OS X 10.4.10 (8R218).
Comment 1 David Kilzer (:ddkilzer) 2007-07-22 16:32:09 PDT
Created attachment 15634 [details]
Original iExploder test #2027 (embed)
Comment 2 David Kilzer (:ddkilzer) 2007-07-22 16:50:46 PDT
Created attachment 15635 [details]
Reduced test case (embed)

This is the reduced test case.  Apparently an invalid src attribute on an <embed> tag will stop both the meta-refresh and setTimeout() redirects.
Comment 3 David Kilzer (:ddkilzer) 2007-07-22 16:52:13 PDT
<rdar://problem/5353083>
Comment 4 David Kilzer (:ddkilzer) 2007-07-22 17:54:09 PDT
Created attachment 15636 [details]
Original iExploder test #7752 (iframe)

<iframe> tags with an invalid src attribute do the same thing.
Comment 5 David Kilzer (:ddkilzer) 2007-07-22 17:54:46 PDT
Created attachment 15637 [details]
Reduced test case (iframe)
Comment 6 Alexey Proskuryakov 2007-07-22 21:43:40 PDT
The iframe case doesn't seem to be a regression, please see bug 9802.
Comment 7 Alexey Proskuryakov 2007-12-16 12:18:47 PST
The problem with JavaScript redirect is now fixed (I suspect <http://trac.webkit.org/projects/webkit/changeset/27986>), so iExploder works fine. The issue with META refresh remains.
Comment 8 Alexey Proskuryakov 2007-12-17 00:51:01 PST
*** Bug 9802 has been marked as a duplicate of this bug. ***
Comment 9 Chasen Le Hara 2008-03-11 10:17:27 PDT
The test cases work for me in nightly r30939.
Comment 10 Alexey Proskuryakov 2008-03-11 10:57:46 PDT
Yes - as mentioned above, one of the issues was fixed, so test cases do pass. I'll need to do something to the bug (and its Radar counterpart) to reduce confusion. I'll double-check if this second issue is indeed a bug, and file a new report, I guess.
Comment 11 Chasen Le Hara 2008-03-11 15:08:27 PDT
My apologies Alexey. I thought "[t]he issue with META refresh remain[ed]," which is why I was giving feedback.
Comment 12 Alexey Proskuryakov 2008-03-12 01:59:19 PDT
Created attachment 19695 [details]
reduced test case (embed)
Comment 13 Alexey Proskuryakov 2008-03-12 01:59:39 PDT
Created attachment 19696 [details]
reduced test case (iframe)
Comment 14 Alexey Proskuryakov 2008-03-12 02:01:57 PDT
Just replaced tests with ones that still fail.